Page MenuHomePhabricator

[beta] EventLogging trying to fetch wrong Schema title
Closed, DeclinedPublicPRODUCTION ERROR

Description

Error

message
Schema fetch from https://meta.wikimedia.org/w/api.php?action=jsonschema&title=searchsatisfaction&revid=19240639&formatversion=2&format=json failed: HTTP Error 400: Bad Request

The URL is incorrect. If you replace the searchsatisfaction title with SearchSatisfaction (https://meta.wikimedia.org/wiki/Schema:SearchSatisfaction) it does return content.

I've been trying to look for where this is defined but I was not able to. In WikimediaEvents the schema and revid are correctly named so I'm not sure where this has to be fixed.

Logstash-Beta: https://logstash-beta.wmflabs.org/goto/0749da459dc234c8de8809a0b94f40a8
First occurrence: 2020-05-30T06:43:36

Event Timeline

Restricted Application added a project: Analytics. · View Herald TranscriptMay 30 2020, 9:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio updated the task description. (Show Details)May 30 2020, 9:33 AM

HTTP Error 400: Bad Request because the url is malformed. It's mixing revid with a page it does not belong to.

The API error is "revwrongpage, r19240639 is not a revision of searchsatisfaction" and in fact https://meta.wikimedia.org/wiki/Schema:Searchsatisfaction does not exist. So a revision (specifically r19240639) cannot belong to it.

You can remove title and provide only the revid id, the correct title will be retrieved (and used) internally:
https://meta.wikimedia.org/w/api.php?action=jsonschema&revid=19240639&formatversion=2&format=json.

How did you get the wrong title in the url? Did you manually insert it?

This is a trace from Logstash-Beta I spotted and reported here. I did not insert anything. Indeed the URL is malformed as I stated in the Task description, but I am not sure where the bad schema name is defined so I can attempt a fix. Maybe @EBernhardson knows better. I have not checked today if this is still happening though.

Ottomata claimed this task.Jun 1 2020, 4:43 PM

Although, I'm not sure what would be trying to reach searchsatisfaction on meta. The logstash-beta link you gave doesn't bring up any results for me. @MarcoAurelio, can you paste the full raw log message here, or paste a link to the json message object?

Although, I'm not sure what would be trying to reach searchsatisfaction on meta. The logstash-beta link you gave doesn't bring up any results for me. @MarcoAurelio, can you paste the full raw log message here, or paste a link to the json message object?

Hi @Ottomata - I am not sure what went wrong with the Logstash-Beta link, it gave results to me yesterday. Can you try with https://logstash-beta.wmflabs.org/goto/6d84389d2680d146e37fa2dd575b1267 instead? Thanks!

Hm, I can't see anything in the code that would cause this to happen, and it only happened for about a 20 minute period on May 30th. Let's leave this open for a bit and see if it happens again.

Milimetric triaged this task as Low priority.Jun 4 2020, 4:06 PM
Milimetric moved this task from Incoming to Event Platform on the Analytics board.
Milimetric added a project: Analytics-Kanban.
Ottomata closed this task as Declined.Aug 17 2020, 3:35 PM

Closing for now, re-open if this is still happening.